import greenfoot.*;  
import java.util.List;
public class SuperBill extends Projectiles
{
       private int direction, speed;
       int frame = 0;
       GreenfootImage bullet1 = new GreenfootImage ("SuperBill1.png");
       GreenfootImage bullet2 = new GreenfootImage ("SuperBill2.png");
       
       public SuperBill(int dir)
       {
           direction = dir;
           speed = 5;
       }
       
       public void act()
       {
           
           setRotation(direction);
           
           move(speed);
           
           hitDetection();
           
           animate();           
       }
              
       public void hitDetection()
       {
               Actor cptf = getOneIntersectingObject(Capitão_Falcão.class); 

             if (atWorldEdge()== true)
            {
                getWorld().removeObject(this);
            }
                     
            else if(cptf != null)  
            {  
                getWorld().removeObject(cptf);   
                getWorld().removeObject(this);
                players.lives--;
            }  
                    
       }
       
            
       public boolean atWorldEdge()
       {
       
          if(getX() < 10 || getX() > getWorld().getWidth() - 10)
           return true;
        
          if(getY() < 10 || getY() > getWorld().getHeight() - 10)
           return true;
          else
           return false;
       }
              
       public void animate()
       {
            if(frame == 5)
           {
               setImage(bullet2);           
            }
         
            else if(frame == 10)
           {
                setImage(bullet1); 
                frame = 0;
                return;
           }
       
           frame ++;
       }
}
